Handler (classworlds 1.0-rc1 API)
Keywords: com.werken.classworlds.protocol.jar.Handler,Handler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.werken.classworlds.protocol.jar
Class Handler

    java.lang.Object
      |
      +--java.net.URLStreamHandler
            |
            +--com.werken.classworlds.protocol.jar.Handler

public class Handler
extends java.net.URLStreamHandler

`URLStreamHandler` for `jar:` protocol `URL`s.

Version:
  $Id: Handler.java,v 1.4 2002/12/17 03:16:29 bob Exp $
Author:
  bob mcwhirter

Constructor Summary
`Handler()` Construct.

Method Summary
`static Handler` | `getInstance()` Retrieve the singleton instance.
`java.net.URLConnection` | `openConnection(java.net.URL url)`
`void` | `parseURL(java.net.URL url, java.lang.String spec, int start, int limit)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

  Construct.

Method Detail

### getInstance

    public static Handler getInstance()

  Retrieve the singleton instance.

  Returns:
    The singleton instance.

### openConnection

    public java.net.URLConnection openConnection(java.net.URL url)
                                          throws java.io.IOException

  Specified by:
    `openConnection` in class `java.net.URLStreamHandler`
    `java.io.IOException`
  See Also:
    `URLStreamHandler`

### parseURL

    public void parseURL(java.net.URL url,
                         java.lang.String spec,
                         int start,
                         int limit)

  Overrides:
    `parseURL` in class `java.net.URLStreamHandler`
  See Also:
    `URLStreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 The Werken Company. All Rights Reserved.